ZENworks 6.5 SP1a install creates duplicate Inventory Service object

  • 10097151
  • NOVL101564
  • 30-Mar-2005
  • 04-May-2005

Archived Content: This information is no longer maintained and is provided 'as is' for your convenience.

Fact

Novell ZENworks 6.5 Desktop Management - ZfD6.5

Novell ZENworks 6.5 Server Management - ZfS65

Novell ZENworks Inventory

Symptom

ZENworks Desktop Management or Server Management 6.5 SP1a install creates duplicate ZENInv Service object.

If the server was previously updated from ZfD 3.2 or ZfD 4.x to ZDM 6.5, and then the SP1a is installed, it will create a new Inventory Service object, and the configuration will no longer work. If the server was originally installed with ZDM 6.5, (i.e. not an upgrade), the SP1a install will not cause this problem.

After installing the ZDM 6.5 SP1a in this scenario, you will see an additional Inventory Service Object, and some of the server's ZENworks Inventory configuration files will be re-written to reference the new object.

Fix

If you have already upgraded the Inventory component to ZENworks 6.5 Desktop Management SP1a or ZENworks 6.5 Server Management SP1a, you must perform the following manual workaround steps in order to use the original Inventory Service object:

1. Stop the Inventory service on the affected server.

2. In ConsoleOne, browse to the container containing the Inventory Service objects, and delete the new Inventory Service object, called "Inventory Service_<server_name>"
If you are installing Inventory in a cluster environment, delete Inventory Service_<virtual_server_name>.

3. Edit the config.properties file (<Inventory_server_installation_directory>\ZENworks\inv\server\WmInv\properties\config.properties), and set the value of InventoryServiceDN to the old InventoryServiceDN, <server_name>_ZenInvService.

If you are installing Inventory in a cluster environment, set the value to the old Inventory Service object name (<virtual_server_name>_ZenInvService).

If you have not yet upgraded to ZENworks 6.5 Desktop Management SP1a or ZENworks 6.5 Server Management SP1a, obtain zen65sp1b.exe or newer from https://support.novell.com/filefinder/.  The install of zen65sp1b.exe will fix the symptom only if you have //not// upgraded using the install in zen65sp1a.exe.  If you have installed zen65sp1a.exe, you must perform the manual workaround steps above.

If you have applied the above fixes, but the message still appears, check TID 10097366